import java.util.Random;
public class NewChild2 implements Runnable {
	private String name;
	private boolean stopStatus= false;
	public NewChild2(String name) {
		this.name = name;
	}
	@Override
	public void run() {
		Random r = new Random();
		try {
			int i = 0;
			while (!stopStatus) {
				int rand = r.nextInt(2000);
				System.out.println(name + " has counted to " + (i++)
					+ " and will now sleep for " + rand + "ms");
				Thread.sleep(rand);
			}
		} catch (InterruptedException e) {
			System.out.println(name + " interrupted; ending");
		}
	}
	public void stop() {
		stopStatus = true;
	}
}
