package counter;
public class Child implements Runnable {
	private String name;
	private Counter counter;
	public Child(String name, Counter counter) {
		this.name = name;
		this.counter = counter;
	}
	@Override
	public void run() {
		for (int i = 0; i < 400; i++) {
			System.out.println(name + " increments counter");
			synchronized (counter) {
				counter.increment();
				System.out.println(name + " decrements counter");
				counter.decrement();
				System.out.println(name + " gets value of counter as "
						+ counter.get());
			}
		}
	}
}
